#include "ofApp.h"

int myCircleX = 250;
int myCircleY = 100;
int myCircleRadius = 50;
int red =255;
bool bg = true;

//------------------------------------------------
void ofApp::setup(){
 ofSetRectMode(OF_RECTMODE_CENTER);

}

//--------------------------------------------------------------
void ofApp::update(){

}

//--------------------------------------------------------------
void ofApp::draw(){

    if (bg) ofBackground(0);

    ofSetColor(255);
    ofNoFill();
    ofRect(100, 100, 100, 100);
    ofFill();
    ofSetColor(red, 255, 255);
    ofCircle(myCircleX, myCircleY, myCircleRadius);
    ofSetColor(255);
    ofNoFill();
    ofEllipse(400, 100, 80, 100);
    ofTriangle(500, 150, 550, 50, 600, 150);
    ofLine(700, 50, 700, 150);


    if (ofGetMousePressed(OF_MOUSE_BUTTON_LEFT)) {
        ofFill();
        float randomColor = ofRandom(50, 255);
        ofSetColor(randomColor);
        ofRect(ofGetMouseX(), ofGetMouseY(), 50, 50);
    }

    if  (ofGetMousePressed(OF_MOUSE_BUTTON_RIGHT)) {
        bg = !bg;
        ofSetBackgroundAuto(bg);
    }
}

//--------------------------------------------------------------
void ofApp::keyPressed(int key){

}

//--------------------------------------------------------------
void ofApp::keyReleased(int key){

}

//--------------------------------------------------------------
void ofApp::mouseMoved(int x, int y ){
    float distance = ofDist(myCircleX, myCircleY, x, y);
    if(distance < myCircleRadius){
        red=0;
    }
    else {
        red=255;
    }
}

//--------------------------------------------------------------
void ofApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::mousePressed(int x, int y, int button){
    float distance = ofDist(myCircleX, myCircleY, x, y);
    if(distance < myCircleRadius)
    {
        myCircleRadius=myCircleRadius*1.1;
    }
}

//--------------------------------------------------------------
void ofApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::windowResized(int w, int h){

}

//--------------------------------------------------------------
void ofApp::gotMessage(ofMessage msg){

}

//--------------------------------------------------------------
void ofApp::dragEvent(ofDragInfo dragInfo){

}
