#include "ofApp.h"

void ofApp::setup(){
    for( int i = 0; i < 10; i=i+1){
        balls.push_back(ofBall());
    }
    ofBackground(255);
}

void ofApp::update(){
    for( int i = 0; i < balls.size(); i=i+1){
        balls[i].update();
    }
}

void ofApp::draw(){
     for( int i = 0; i < balls.size(); i=i+1){
        balls[i].draw();
    }
}

void ofApp::keyPressed(int key){
    if (key == 's') {
        glReadBuffer(GL_FRONT);  // HACK for windows
        ofSaveScreen("savedScreenshot_"+ofGetTimestampString()+".png");
    }
}

void ofApp::mousePressed(int x, int y, int button){
    balls.push_back(ofBall());
}
