#include "ofBall.h"

ofBall::ofBall(){
    x = ofRandom(0, ofGetWidth());      // give some random positioning
    y = ofRandom(0, ofGetHeight());
    speedX = ofRandom(-10, 10);           // and random speed and direction
    speedY = ofRandom(-10, 10);
    dim = ofRandom(5, 30);;
    color.set(ofRandom(255), ofRandom(255), ofRandom(255));
}

void ofBall::update(){
    if(x < 0 ){
        x = 0;
        speedX *= -1;
    } else if(x > ofGetWidth()){
        x = ofGetWidth();
        speedX *= -1;
    }

    if(y < 0 ){
        y = 0;
        speedY *= -1;
    } else if(y > ofGetHeight()){
        y = ofGetHeight();
        speedY *= -1;
    }

    x+=speedX;
    y+=speedY;
}

void ofBall::draw(){
    ofSetColor(color);
    ofCircle(x, y, dim);
}
