#include "ofApp.h"

//--------------------------------------------------------------
void ofApp::setup(){
	//img.loadImage("test.jpg");
	// open an outgoing connection to HOST:PORT
	sender.setup(HOST, PORT);
    ofSetFrameRate(30);
    myVideoGrabber.initGrabber (320,240);
    finder.setup("haarcascade_frontalface_default.xml");
//	finder.findHaarObjects(myVideoGrabber);
}

//--------------------------------------------------------------
void ofApp::update(){

}

//--------------------------------------------------------------
void ofApp::draw(){

    ofxOscMessage m;
	m.setAddress("/head/position");

    ofBackground(100,100,100);
	ofSetColor(255,255,255);
    // Ask the grabber to refresh its data.
	myVideoGrabber.update();

	// If the grabber indeed has fresh data,
	if (myVideoGrabber.isFrameNew()){
	//img.setFromPixels(myVideoGrabber.getPixelsRef());
    finder.findHaarObjects(myVideoGrabber.getPixelsRef());
    myVideoGrabber.draw(10,10);

	//img.draw(0, 0);
	ofNoFill();
	for(unsigned int i = 0; i < finder.blobs.size(); i++) {
		ofRectangle cur = finder.blobs[i].boundingRect;
		ofRect(cur.x, cur.y, cur.width, cur.height);

		m.addIntArg(cur.x);
		m.addIntArg(cur.y);
		sender.sendMessage(m);
        }
	}
}

//--------------------------------------------------------------
void ofApp::keyPressed(int key){

}

//--------------------------------------------------------------
void ofApp::keyReleased(int key){

}

//--------------------------------------------------------------
void ofApp::mouseMoved(int x, int y ){
    /*
ofxOscMessage m;
	m.setAddress("/mouse/position");
	m.addIntArg(x);
	m.addIntArg(y);
	sender.sendMessage(m);
	*/
}

//--------------------------------------------------------------
void ofApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::mousePressed(int x, int y, int button){
ofxOscMessage m;
	m.setAddress("/mouse/button");
	m.addStringArg("down");
	sender.sendMessage(m);
}

//--------------------------------------------------------------
void ofApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::windowResized(int w, int h){

}

//--------------------------------------------------------------
void ofApp::gotMessage(ofMessage msg){

}

//--------------------------------------------------------------
void ofApp::dragEvent(ofDragInfo dragInfo){

}
